Bug 1289467 - [GSS](6.4.z) jboss-cli.sh ignoring invalid attribute when used in batch mode
[GSS](6.4.z) jboss-cli.sh ignoring invalid attribute when used in batch mode
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.12
Assigned To: Chao Wang
Petr Kremensky
eap6412-proposed
:
Depends On:
Blocks: eap6412-payload
  Show dependency treegraph
 
Reported: 2015-12-08 03:46 EST by Abhijit humbe
Modified: 2017-01-17 08:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:10:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5829 Major Resolved jboss-cli.sh ignoring invalid attribute when used in batch mode 2017-04-07 01:51 EDT

  None (edit)
Description Abhijit humbe 2015-12-08 03:46:34 EST
Description of problem:
CLI did not throw any error message and just ignored the invalid attribute while using in batch mode.If we use same CLI command in non-batch mode it throws exception. 


In following CLI command we are using invalid attribute "blocking-timeout-millis", valid attribute is "blocking-timeout-wait-millis" 

Batch mode:
==========
[standalone@localhost:9999 /] batch 
[standalone@localhost:9999 / #] /subsystem=datasources/data-source=TestDS:add(connection-url="jdbc:h2:mem:test;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE",driver-name=h2,jndi-name=java:/jboss/datasources/TestDS,blocking-timeout-millis=1000)
[standalone@localhost:9999 / #] run-batch 
The batch executed successfully
[standalone@localhost:9999 /] 


Standalone command:
==================
[standalone@localhost:9999 /] /subsystem=datasources/data-source=TestDS:add(connection-url="jdbc:h2:mem:test;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE",driver-name=h2,jndi-name=java:/jboss/datasources/TestDS,blocking-timeout-millis=1000)
'blocking-timeout-millis' is not found among the supported properties: [share-prepared-statements, driver-class, prepared-statements-cache-size, spy, password, max-pool-size, set-tx-query-timeout, jndi-name, url-delimiter, enabled, connectable, blocking-timeout-wait-millis, statistics-enabled, pool-use-strict-min, validate-on-match, transaction-isolation, jta, valid-connection-checker-class-name, allocation-retry-wait-millis, exception-sorter-properties, background-validation-millis, track-statements, use-fast-fail, flush-strategy, stale-connection-checker-class-name, exception-sorter-class-name, background-validation, check-valid-connection-sql, reauth-plugin-class-name, allow-multiple-users, url-selector-strategy-class-name, user-name, use-ccm, reauth-plugin-properties, driver-name, stale-connection-checker-properties, datasource-class, idle-timeout-minutes, query-timeout, use-java-context, valid-connection-checker-properties, min-pool-size, allocation-retry, security-domain, new-connection-sql, connection-url, use-try-lock, pool-prefill]




Actual results:
jboss-cli.sh ignoring invalid attribute when used in batch mode

Expected results:
jboss-cli.sh should throw exception while using invalid attribute in batch mode
Comment 2 Mike McCune 2016-03-28 18:24:40 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Jiří Bílek 2016-11-10 10:33:26 EST
Verified EAP 6.4.12.CP.CR1
Comment 5 Petr Penicka 2017-01-17 08:10:56 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.